<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.2) on Wed May 05 09:40:06 CEST 2021 -->
<title>MainMenu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-05-05">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainMenu";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Interface</a></div>
<h2 title="Class MainMenu" class="title">Class MainMenu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Interface.MainMenu</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">MainMenu</span>
extends java.lang.Object</pre>
<div class="block">Affiche un menu avec 9 boutons qui ouvriront les fenetre en fonction de la fonctionnalité recherchée</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Samuel</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.awt.event.ActionListener</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#al">al</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bAssocier">bAssocier</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bEtatC">bEtatC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bInfoC">bInfoC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bInfoP">bInfoP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bListC">bListC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bListOp">bListOp</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bListP">bListP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bNouveauC">bNouveauC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#bRecrut">bRecrut</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.awt.event.ActionEvent</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#e">e</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JFrame</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fenetre">fenetre</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JOptionPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jopt">jopt</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) javax.swing.JPanel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jpBas">jpBas</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) javax.swing.JPanel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#jpHaut">jpHaut</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MainMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="fenetre">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fenetre</h4>
<pre>javax.swing.JFrame fenetre</pre>
</li>
</ul>
<a id="jopt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jopt</h4>
<pre>javax.swing.JOptionPane jopt</pre>
</li>
</ul>
<a id="bRecrut">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bRecrut</h4>
<pre>javax.swing.JButton bRecrut</pre>
</li>
</ul>
<a id="bAssocier">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bAssocier</h4>
<pre>javax.swing.JButton bAssocier</pre>
</li>
</ul>
<a id="bListOp">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bListOp</h4>
<pre>javax.swing.JButton bListOp</pre>
</li>
</ul>
<a id="bListC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bListC</h4>
<pre>javax.swing.JButton bListC</pre>
</li>
</ul>
<a id="bListP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bListP</h4>
<pre>javax.swing.JButton bListP</pre>
</li>
</ul>
<a id="bInfoP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bInfoP</h4>
<pre>javax.swing.JButton bInfoP</pre>
</li>
</ul>
<a id="bInfoC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bInfoC</h4>
<pre>javax.swing.JButton bInfoC</pre>
</li>
</ul>
<a id="bEtatC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bEtatC</h4>
<pre>javax.swing.JButton bEtatC</pre>
</li>
</ul>
<a id="bNouveauC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bNouveauC</h4>
<pre>javax.swing.JButton bNouveauC</pre>
</li>
</ul>
<a id="al">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>al</h4>
<pre>java.awt.event.ActionListener al</pre>
</li>
</ul>
<a id="e">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>e</h4>
<pre>java.awt.event.ActionEvent e</pre>
</li>
</ul>
<a id="jpHaut">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jpHaut</h4>
<pre>javax.swing.JPanel jpHaut</pre>
</li>
</ul>
<a id="jpBas">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jpBas</h4>
<pre>javax.swing.JPanel jpBas</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainMenu</h4>
<pre>public&nbsp;MainMenu()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
